curl --request GET \
--url https://api.example.com/cabinet/admin/stats/dashboard \
--header 'Authorization: Bearer <token>'{
"nodes": {
"total": 123,
"online": 123,
"offline": 123,
"disabled": 123,
"total_users_online": 123,
"nodes": [
{
"uuid": "<string>",
"name": "<string>",
"address": "<string>",
"is_connected": true,
"is_disabled": true,
"users_online": 123,
"traffic_used_bytes": 123,
"uptime": "<string>",
"xray_version": "<string>",
"node_version": "<string>",
"last_status_message": "<string>",
"xray_uptime": "<string>",
"is_xray_running": true,
"cpu_count": 123,
"cpu_model": "<string>",
"total_ram": "<string>",
"country_code": "<string>"
}
]
},
"subscriptions": {
"total": 123,
"active": 123,
"trial": 123,
"paid": 123,
"expired": 123,
"purchased_today": 123,
"purchased_week": 123,
"purchased_month": 123,
"trial_to_paid_conversion": 123
},
"financial": {
"income_today_kopeks": 123,
"income_today_rubles": 123,
"income_month_kopeks": 123,
"income_month_rubles": 123,
"income_total_kopeks": 123,
"income_total_rubles": 123,
"subscription_income_kopeks": 123,
"subscription_income_rubles": 123
},
"servers": {
"total_servers": 123,
"available_servers": 123,
"servers_with_connections": 123,
"total_revenue_kopeks": 123,
"total_revenue_rubles": 123
},
"revenue_chart": [
{
"date": "<string>",
"amount_kopeks": 123,
"amount_rubles": 123
}
],
"tariff_stats": {
"tariffs": [
{
"tariff_id": 123,
"tariff_name": "<string>",
"active_subscriptions": 123,
"trial_subscriptions": 123,
"purchased_today": 123,
"purchased_week": 123,
"purchased_month": 123
}
],
"total_tariff_subscriptions": 123
}
}Get complete dashboard statistics for admin panel.
curl --request GET \
--url https://api.example.com/cabinet/admin/stats/dashboard \
--header 'Authorization: Bearer <token>'{
"nodes": {
"total": 123,
"online": 123,
"offline": 123,
"disabled": 123,
"total_users_online": 123,
"nodes": [
{
"uuid": "<string>",
"name": "<string>",
"address": "<string>",
"is_connected": true,
"is_disabled": true,
"users_online": 123,
"traffic_used_bytes": 123,
"uptime": "<string>",
"xray_version": "<string>",
"node_version": "<string>",
"last_status_message": "<string>",
"xray_uptime": "<string>",
"is_xray_running": true,
"cpu_count": 123,
"cpu_model": "<string>",
"total_ram": "<string>",
"country_code": "<string>"
}
]
},
"subscriptions": {
"total": 123,
"active": 123,
"trial": 123,
"paid": 123,
"expired": 123,
"purchased_today": 123,
"purchased_week": 123,
"purchased_month": 123,
"trial_to_paid_conversion": 123
},
"financial": {
"income_today_kopeks": 123,
"income_today_rubles": 123,
"income_month_kopeks": 123,
"income_month_rubles": 123,
"income_total_kopeks": 123,
"income_total_rubles": 123,
"subscription_income_kopeks": 123,
"subscription_income_rubles": 123
},
"servers": {
"total_servers": 123,
"available_servers": 123,
"servers_with_connections": 123,
"total_revenue_kopeks": 123,
"total_revenue_rubles": 123
},
"revenue_chart": [
{
"date": "<string>",
"amount_kopeks": 123,
"amount_rubles": 123
}
],
"tariff_stats": {
"tariffs": [
{
"tariff_id": 123,
"tariff_name": "<string>",
"active_subscriptions": 123,
"trial_subscriptions": 123,
"purchased_today": 123,
"purchased_week": 123,
"purchased_month": 123
}
],
"total_tariff_subscriptions": 123
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Complete dashboard statistics.
Overview of all nodes.
Show child attributes
Subscription statistics.
Show child attributes
Financial statistics.
Show child attributes
Server statistics.
Show child attributes
Show child attributes
Tariff statistics.
Show child attributes